.main {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  min-height: 100vh;
  height: 100vh;
}

.bg {
  background-color: #ccd4f3;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  width: 100%;
  height: 100vh;
  flex-direction: column;
}
.face {
  background-color: #e0e7fb;
  display: block;
  overflow: auto;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  align-self: flex-end;

  border-start-end-radius: 40px;
  border-start-start-radius: 40px;
  padding-top: 10px;
}
.map {
  display: block;
  overflow: auto;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  align-self: flex-end;
  width: 100vw;
  height: 100%;
  min-height: 70vh;
  transform: rotate(180deg);
}
.row {
  transform: rotate(180deg);
}
.title {
  margin-bottom: 1%;
  margin-top: 1%;
  font-size: xxx-large;
  align-self: flex-start;
  margin-left: 30px;
  color: #f6c3ff;
  font-family: fantasy;
}

.left {
  position: relative;
  display: flex;
  align-self: flex-start;
  padding: 20px;
  background-color: #f8ffff;
  border-radius: 16px 16px 16px 0;
  margin: 1vh 0 1vh 5vw; /*max(20vw, 100vw - 800px)*/
  max-width: min(800px, 70vw);
  width: fit-content;
  text-overflow: ellipsis;
  overflow: hidden;
  overflow-wrap: anywhere;
  white-space: pre-line;
}

.right {
  position: relative;
  display: flex;
  align-self: flex-end;
  padding: 20px;
  background-color: #f8ffff;
  border-radius: 16px 16px 0 16px;
  margin: 1vh 5vw 1vh 0; /*max(20vw, 100vw - 800px)*/
  max-width: min(800px, 70vw);
  width: fit-content;
  overflow: hidden;
  overflow-wrap: anywhere;
  white-space: pre-line;
}
.loading {
  position: fixed;
  left: 12px;
  bottom: 85px;
}
.inputMain {
  width: 100%;
  background-color: #e0e7fb;
  display: flex;
  align-items: center;
}
.input {
  width: calc(100% - 40px);
  height: 60px;
  min-height: 60px;
  border-radius: 20px;
  border: white;
  font-size: larger;
  padding: 20px;
  margin: 10px 10px 10px 20px;
}
.input.hover {
  border: white;
}
.input:focus {
  outline: none;
  border: 1px solid #f6c3ff61;
}
.send {
  width: 28px;
  height: 28px;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' version='1.1' width='256' height='256' viewBox='0 0 256 256' xml:space='preserve'%3E%3Cdefs%3E%3C/defs%3E%3Cg style='stroke: none; stroke-width: 0; stroke-dasharray: none; stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; fill: none; fill-rule: nonzero; opacity: 1;' transform='translate(1.4065934065934016 1.4065934065934016) scale(2.81 2.81)' %3E%3Cpath d='M 89.999 3.075 C 90 3.02 90 2.967 89.999 2.912 c -0.004 -0.134 -0.017 -0.266 -0.038 -0.398 c -0.007 -0.041 -0.009 -0.081 -0.018 -0.122 c -0.034 -0.165 -0.082 -0.327 -0.144 -0.484 c -0.018 -0.046 -0.041 -0.089 -0.061 -0.134 c -0.053 -0.119 -0.113 -0.234 -0.182 -0.346 C 89.528 1.382 89.5 1.336 89.469 1.29 c -0.102 -0.147 -0.212 -0.288 -0.341 -0.417 c -0.13 -0.13 -0.273 -0.241 -0.421 -0.344 c -0.042 -0.029 -0.085 -0.056 -0.129 -0.082 c -0.118 -0.073 -0.239 -0.136 -0.364 -0.191 c -0.039 -0.017 -0.076 -0.037 -0.116 -0.053 c -0.161 -0.063 -0.327 -0.113 -0.497 -0.147 c -0.031 -0.006 -0.063 -0.008 -0.094 -0.014 c -0.142 -0.024 -0.285 -0.038 -0.429 -0.041 C 87.03 0 86.983 0 86.936 0.001 c -0.141 0.003 -0.282 0.017 -0.423 0.041 c -0.035 0.006 -0.069 0.008 -0.104 0.015 c -0.154 0.031 -0.306 0.073 -0.456 0.129 L 1.946 31.709 c -1.124 0.422 -1.888 1.473 -1.943 2.673 c -0.054 1.199 0.612 2.316 1.693 2.838 l 34.455 16.628 l 16.627 34.455 C 53.281 89.344 54.334 90 55.481 90 c 0.046 0 0.091 -0.001 0.137 -0.003 c 1.199 -0.055 2.251 -0.819 2.673 -1.943 L 89.815 4.048 c 0.056 -0.149 0.097 -0.3 0.128 -0.453 c 0.008 -0.041 0.011 -0.081 0.017 -0.122 C 89.982 3.341 89.995 3.208 89.999 3.075 z M 75.086 10.672 L 37.785 47.973 L 10.619 34.864 L 75.086 10.672 z M 55.136 79.381 L 42.027 52.216 l 37.302 -37.302 L 55.136 79.381 z' style='stroke: none; stroke-width: 1; stroke-dasharray: none; stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; fill: rgb(0,0,0); fill-rule: nonzero; opacity: 1;' transform=' matrix(1 0 0 1 0 0) ' stroke-linecap='round' /%3E%3C/g%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}
.sendParent {
  width: 56px;
  min-width: 56px;
  height: 56px;
  margin-right: 10px;
  border-radius: 60px;
  background-color: #ccd4f3;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
.namel {
  padding: 0 0 20px;
  margin: -5px max(20vw, 100vw - 800px) 1vh 4vw;
  color: #ff0000;
  font-size: small;
}
.namer {
  display: flex;
  justify-content: flex-end;
  padding: 0 0 20px;
  margin: 1vh 4vw 1vh max(20vw, 100vw - 800px);
  color: #2700ff;
  font-size: small;
}
.bubble {
  display: flex;
  flex-direction: column;
}
